/*!
 * @file element_2d.h
 * @brief Definition of the 2D elements rendered on top through the GraphicsEngine
*/

#ifndef _ELEMENT_2D_H
#define _ELEMENT_2D_H

#include "base_object.h"

// FORWARD DECLARATION

//!< An enumerator defining the Depth of a 2D-element.
typedef enum
{
  E2D_TOP,                             //!< Will be rendered on top of everything else
  E2D_MEDIUM,                          //!< Will be rendered on the medium Layer.
  E2D_BOTTOM,                          //!< Will be rendered on the bottom Layer
  E2D_BELOW_ALL                        //!< Will be rendered below the 3D-scene. @todo make this work.
}E2DDepth;

//! A class for ...
class Element2D : public BaseObject {

 public:
  Element2D();
  virtual ~Element2D();


 private:
   bool               bDraw;
   int                position2D[2];    //!< X-coord, Y-Coord
   E2DDepth           depth;

};


#endif /* _ELEMENT_2D_H */
