/*!
 * @file render_2d.h
 * @brief Definition of the 2D-rendering engine singleton Class
*/

#ifndef _RENDER_2D_H
#define _RENDER_2D_H

#include "base_object.h"

// FORWARD DEFINITION

//! A default singleton class.
class Render2D : public BaseObject {

 public:
  virtual ~Render2D(void);
  /** @returns a Pointer to the only object of this Class */
  inline static Render2D* getInstance(void) { if (!singletonRef) singletonRef = new Render2D();  return singletonRef; };

 private:
  Render2D(void);
  static Render2D* singletonRef;
};

#endif /* _RENDER_2D_H */
